package de.limited_dev.lil_judd.commands;


import de.limited_dev.lil_judd.Main;
import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.commands.components.Option;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class PingCommand extends Command {
    public PingCommand() {
        super("ping", "Pong! Get the Ping to my base", null);
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        EmbeddedMessageHelper.sendSimpleOneLiner(event, "Connection speed", "My connection to base takes **" + Main.getJda().getGatewayPing() + "ms**", null);
    }
}
