package de.limited_dev.lil_judd.commands;

import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.features.ScrimMaker;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.entities.MessageEmbed;
import net.dv8tion.jda.api.entities.User;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class SearchScrimCommand extends Command {
    public SearchScrimCommand() {
        super("searchscrim", "Search for a scrim", null);
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        User u1 = event.getOption("player1").getAsUser();
        User u2 = event.getOption("player2").getAsUser();
        User u3 = event.getOption("player3").getAsUser();
        User u4 = event.getOption("player4").getAsUser();
        Guild g = event.getGuild();
        int div = event.getOption("div").getAsInt();
        ScrimMaker.EnterQueue(g, event.getChannel().asTextChannel(), div, u1, u2, u3, u4);
        //MessageEmbed eb = EmbeddedMessageHelper.getEmbeddedMessageAutomated(false, "Adding...", "We are adding you to the queue",  null, false ).build();
        //event.replyEmbeds(eb).queue();
        EmbeddedMessageHelper.sendSimpleOneLiner(event, "<a:loading:1028062794018476093> Queuing... ",
                g.getName() + " has been added to the Scrim Queue for Division " + div + "\n\n" +
                        "Player 1 >> " + u1.getAsMention() + "\n" +
                        "Player 2 >> " + u2.getAsMention() + "\n" +
                        "Player 3 >> " + u3.getAsMention() + "\n" +
                        "Player 4 >> " + u4.getAsMention(),
                null);
    }
}
