package de.limited_dev.lil_judd.commands;

import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.commands.components.Option;
import de.limited_dev.lil_judd.features.TimePlanner;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.Permission;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class RemoveFeatureCommand extends Command {
    public RemoveFeatureCommand() {
        super("remove", "Remove a feature", new Option[]{ new Option(null, "Feature name", "Des", false)});
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        if(!event.getGuild().getMemberById(event.getUser().getId()).hasPermission(Permission.ADMINISTRATOR)){
            EmbeddedMessageHelper.sendSimpleOneLiner(event, "You do not have the Permission", "Sorry, but you don't have the Permission to run this command", null);
            return;
        }
        if(event.getOption("feature").getAsString().equals("timefinder")){
            TimePlanner.getGtps().guildsWithPlanner.remove(event.getGuild().getIdLong());
            TimePlanner.getGtps().save();
            EmbeddedMessageHelper.sendSimpleOneLiner(event, "The Feature has been disabled",
                    "The Feature has been removed from this Server", null);
        }
    }
}
