package de.limited_dev.lil_judd.commands;

import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.commands.components.Option;
import de.limited_dev.lil_judd.features.ScrimMaker;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class ScrimInfoCommand extends Command {
    public ScrimInfoCommand() {
        super("scriminfo", "", null);
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        EmbeddedMessageHelper.sendSimpleOneLiner(event, "ScrimMaker info",
                "Guilds in queue: " + ScrimMaker.getQueueSize() + "\n" +
                "Guild in game: " + ScrimMaker.getGameSize() + "\n" +
                        "Currently Active Users in Scrim: " + (ScrimMaker.getQueueSize() * 4 + ScrimMaker.getGameSize() * 4),null);
    }
}
