package de.limited_dev.lil_judd.commands.components;

import de.limited_dev.lil_judd.commands.*;

import java.util.concurrent.CopyOnWriteArrayList;

public class CommandManager {

    private static CopyOnWriteArrayList<Command> commands = new CopyOnWriteArrayList<>();

    public static void registerCommands(){
        commands.add(new PingCommand());
        commands.add(new InfoCommand());
        commands.add(new SetupFeatureCommand());
        commands.add(new RemoveFeatureCommand());
        commands.add(new SearchScrimCommand());
        commands.add(new EndScrimCommand());
        commands.add(new MessageScrimCommand());
        commands.add(new ScrimInfoCommand());
    }

    public static CopyOnWriteArrayList<Command> getCommands() {
        return commands;
    }
}
